MTRNG(4)

NAME
mtrng - MediaTek random number generator

SYNOPSIS
mtrng* at fdt?

DESCRIPTION
The mtrng driver provides support for the random number generator found on MediaTek SoCs.

It feeds the random subsystem's entropy pool with 32 bits of random data every second.

SEE ALSO
intro(4), random(4), arc4random(9)

HISTORY
The mtrng driver first appeared in OpenBSD 7.7.

AUTHORS
-nosplit The mtrng driver was written by James Hastings <hastings@openbsd.org>.